Bug 209399 - Review Request: root-tail - an app o show log files on the root window
Review Request: root-tail - an app o show log files on the root window
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-05 01:24 EDT by Michael Rice
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-08 01:10:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Rice 2006-10-05 01:24:34 EDT
Spec URL: http://errr.fluxbox-wiki.org/fedora_stuff/root-tail/1/root-tail.spec
SRPM URL: http://errr.fluxbox-wiki.org/fedora_stuff/root-tail/1/root-tail-1.2-1.fc5.src.rpm

Description: 
Displays a given file anywhere on your X11 root window, i.e. it is kind of tail -f for multiple files using your desktop background as output window.
Comment 1 Denis Leroy 2006-10-05 04:02:43 EDT
Do you need to be sponsored ?
Comment 2 Michael Rice 2006-10-05 04:12:52 EDT
Denis, well yes and no, I think that Patrice Dumas is going to sponser me, but
Im not sure yet... 
<a href="https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=208422#c8">
this</a> makes me think that Patrice is going to do it, but I guess offically
right now I dont have a sponser yet...
Comment 3 Patrice Dumas 2006-10-05 04:46:33 EDT
I'll take care of sponsoring Michael as soon as he has 2 packages
ready to be approved, but it doesn't make any doubt it will be soon.
Comment 4 Patrice Dumas 2006-10-05 05:20:34 EDT
good:

* rpmlint is silent
* name follows guidelines
* follows packaging guidelines
* spec file is legible
* source match upstream
5a4b3c4c7ab3bed1f4575e9688aac5de  root-tail-1.2.tar.gz
* sane provides:
root-tail = 1.2-1
* not a lib, not a graphical app
* compile on x86
* use macros consistently
* no licence included, but no licence upstream
* directory owning right
* %files right
* doc not runtime

Needswork:
no debug package generated. The -g option is not used when building. 
It seems that the flags set by imake are similar with those
in RPM_OPT_FLAGS, but not exactly the same. From my tests, it seems
that something along (untested in a spec file) should do the trick:

make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

comment:
-Xext seems to be unneeded from ldd -u run on the executable,
and also -lX11, but it is strange for X11 since it uses header
files?
Comment 5 Patrice Dumas 2006-10-05 09:42:31 EDT
I forgot to add that you should try to contact upstream and ask 
for the licence inclusion.
Comment 6 Michael Rice 2006-10-05 23:04:26 EDT
Patrice, I have sent upstream an email about the license. I also added the
CFLAGS="$RPM_OPT_FLAGS" line and now a debug package is created in mock.

http://errr.fluxbox-wiki.org/fedora_stuff/root-tail/2/root-tail.spec
http://errr.fluxbox-wiki.org/fedora_stuff/root-tail/2/root-tail-1.2-2.fc5.src.rpm
Comment 7 Patrice Dumas 2006-10-06 03:11:15 EDT
The problematic item has been solved so it is 

APPROVED

Just 3 comments (not blockers):
* timestamp of source file is wrong
* in the summary I would personally have replaced 'given' by
  'text', because as it is it seems to me that one may think 
  that it allows to display any kind of file on the background, 
  including images, films...
* don't forget to add it to the comps file
http://fedoraproject.org/wiki/Extras/CompsXml

I sponsored you. Don't hesitate to mail me if you need
help or advice.
Comment 8 Michael Rice 2006-10-07 11:21:29 EDT
(In reply to comment #7)
> The problematic item has been solved so it is 
> 
> APPROVED
> 
> Just 3 comments (not blockers):

> * don't forget to add it to the comps file
> http://fedoraproject.org/wiki/Extras/CompsXml
> 
> I sponsored you. Don't hesitate to mail me if you need
> help or advice.
When reading this page I dont think any of the 3 apps I have thus far fit the
profile, It says:  
Also, most text-mode utilities don't really fit in unless they have a pretty
large established user-base. Given that the primary use is with a GUI, selecting
a lot of text-mode things make little sense.
And to use this app you have to type: root-tail (prams) logfile
What do you think??
Comment 9 Patrice Dumas 2006-10-07 11:44:01 EDT
It is slightly out of date, since it is more established today
that command line apps should be in comps (but not libs). But 
are much better in some categories.

In my opinion 
* wmctrl could go in Development Tools
* scrot could go in X Window System, but it is not obvious, since it is
  not a graphical app
* root-tail could be in Administration Tools

My understanding is that command line apps can be in Development Tools,
Administration Tools, System Tools, Hardware Support, Engineering and 
Scientific and libraries that are to be used directly (like numerical
libraries) can go in Engineering and Scientific.

Note You need to log in before you can comment on or make changes to this bug.